Cyberduck Mountain Duck CLI

#1953 closed enhancement (wontfix)

Bookmarks Accessibility

Reported by: matthias79@… Owned by: dkocher
Priority: highest Milestone:
Component: interface Version: 3.0.1
Severity: major Keywords:
Cc: matthias79@… Architecture:
Platform: Mac OS X 10.6

Description

Is it possible to get the old look back for the bookmarks?

previously, i just double-clicked the bokkmark and the connection was there. now i have to open the bookmarks, select the connection and close the bookmarks again. (thats three times the clicks than before)

Change History (36)

comment:1 Changed on Apr 17, 2008 at 6:17:15 PM by anonymous

  • Cc matthias79@… added

comment:2 Changed on Apr 17, 2008 at 7:42:23 PM by dkocher

  • Component changed from core to interface

The bookmark view is not yet completly finalized or might at least be adjusted again in 3.1 depending on user feedback. For the number of clicks I don't see the point. Command-B still toggles the bookmark and once the connection is open it should switch automatically to the browser list/outline view.

comment:3 Changed on Apr 21, 2008 at 10:09:59 PM by dkocher

  • Milestone changed from 3.0 to 3.1
  • Status changed from new to assigned
  • Summary changed from bookmarks in 3.0b1 to Bookmarks Accessibility

We freeze this for 3.0 but will try to look for new ideas in 3.1

comment:4 Changed on May 14, 2008 at 8:00:49 PM by anonymous

usability was much better with the bookmarks drawer. sidebar would be even better, as i never close the drawer anyway. i'm used to jump between about 30 servers all the time, so switching to an extra bookmark view is very annoying. however as long as 2.8.5 works i'm fine...

comment:5 Changed on May 16, 2008 at 4:19:15 PM by anonymous

Yes. The is far more useful for managing multiple connections. At least an option to toggle that back on would be much preferred to losing one's view. I too move between multiple connections. Now the only way to do it with visual props is open multiple windows, cluttering the screen.

comment:6 Changed on May 16, 2008 at 7:17:54 PM by antiuser

I second the anonymous comments.

For the number of clicks I don't see the point. Command-B still toggles the bookmark and once the connection is open it should switch automatically to the browser list/outline view.

The point is, that's an extra click that you didn't need before, and you can't see the files while you're looking through the bookmarks. It makes the interface more cumbersome and you have to adjust to the same screen area being used for 2 different purposes. This was exactly why I switched from Fetch to Cyberduck in the first place, and judging from the comments on the forum, many other users are experiencing the same. Maybe it wasn't the most stylish-looking solution, but you don't amputate a limb just because it's ugly.

comment:7 Changed on May 16, 2008 at 9:29:25 PM by jcburns@…

The bookmarks drawer is always open on my window, and switching from one SFTP connection to another is ONE double-click. It's so elegant. It is, for me, the reason why I prefer Cyberduck over all others. I understand how NSDrawers are on their way out...but it does have a real usefulness from the UI standpoint. When they're removed...like on OS X Mail...much of the functionality has had to be re-created in the single-window, multipane approach. That would work too. But I would really prefer to work with a big FTP browser window with my most-often-used bookmarks right there, a click away. Thanks.

comment:8 Changed on May 17, 2008 at 5:12:23 AM by anonymous

  • Priority changed from normal to highest

comment:9 Changed on May 17, 2008 at 1:52:52 PM by anonymous

I'm not concerned with the unified approach, rather my workflow, which is now significantly retarded (slower).

comment:10 Changed on May 19, 2008 at 1:46:06 PM by redg@…

  • Type changed from defect to enhancement
  • Version changed from 2.8.5 to 3.0.1

i cosign... please add the drawer back

comment:11 Changed on May 19, 2008 at 2:36:24 PM by apotts@…

  • Severity changed from normal to blocker
  • Type changed from enhancement to defect

I'm in complete agreement. I'm used to having my bookmarks drawer open alongside my open connection so I can easily drop files onto various bookmarks without closing my connection or switching screens. No drawer or sidebar is extremely slow and annoying, since instead of a click and flick of the mouse, I now have to click, click drag, and then click back. What took me less than 1 second before now takes me 5-10. Multiply that by the 90 or so files I need to transfer in a short amount of time to different places, and no sidebar just made my day dang near half an hour longer.

comment:12 Changed on May 19, 2008 at 4:25:24 PM by cnymike

  • Severity changed from blocker to major

My vote is to reinstate the bookmark drawer. As a web site developer, I am constantly bouncing around from site to site and the bookmark drawer is indispensable to me.

comment:13 Changed on May 21, 2008 at 7:48:12 PM by michael@…

I agree with others here. If there were the option for a *permanent* bookmarks "drawer" à la iTunes, that would be acceptable. I maintain too many sites to keep open all those windows. Now that's un-unified.

comment:14 Changed on May 22, 2008 at 6:51:40 PM by anonymous

Holy cow, please, please, please, bring this back. It really doesn't matter if it's a drawer, a sidebar, or what, just so long as we have the option to have the bookmarks available at all times.

comment:15 Changed on May 24, 2008 at 1:08:07 PM by dkocher

  • Type changed from defect to enhancement

comment:16 Changed on May 26, 2008 at 10:45:35 AM by cyberduck user

I have to echo the requests to bring back he bootmark drewer. It was so much faster than the current in screen display, especialy if one is dealing with multiple clients/servers at the same time.

The current solution slows down my workflow which is very (very) frustrating. I have downgraded to the previous version. I hope you guys will fix this soon. Best regards!

comment:17 Changed on May 26, 2008 at 5:19:30 PM by shoestring

compromise: have a bookmarks toolbar ala firefox for quick one-click access to favourite/most used bookmarks (selectable in bookmarks pane as to which ones appear)? click opens in current browser, cmd+click opens in new browser.
just a suggestion, i'm not voting either way...

comment:18 Changed on May 26, 2008 at 7:13:14 PM by michael@…

shoestring, do you mean like a sidebar? I think that's what most people have been asking for, especially since a drawer is "taboo" nowadays.

If you're talking about a bookmarks bar across the top, I don't think that will be adequate, since most domain names get pretty long and the Cyberduck window isn't very wide. (At least, I don't think it would be practical to keep it all that large.) I'd give any solution another, say, 200 pixels to one side of my app window--kinda like a drawer or sidebar, whatever--but navigation across the top wouldn't afford sufficient room.

The more I think about it, the more I see the developer's point. But I don't want to spend time learning a new workflow, and I take it not many others do, either. I think we're all willing to work with a compromise, as long as we get everything we want. ;-)

comment:19 Changed on May 27, 2008 at 9:39:21 AM by mbduck

I think, like jcburns, that the intended shift away from NSDrawers naturally leads to multipane view, à la Leopard. So let me try to sum up the pros and cons of a multipane view for the particular case of Cyberduck:

Pros
-1- keeps the major advantage of Cyberduck to switch between multiple (30+) connections by a single double-click with no clustering
-2- unified view in single-window (that is: even less clustering than before, pushing forward that strong point)
-3- follows the trend of decline in the use of drawers and their replacement by a list pane on the left

Cons
-1- when toggling bookmark pane on/off, the display of columns in the main pane are reshuffled, esp., the last column is expanded/reduced (usual con of switchable panes, eg. in Mail.app)
-2- the usual role of a Leopard-like panes is to display places that are already connected, and it is not exactly to establish a new connection -- it is even less so to switch off the connection previously established. (In the Finder, the displayed servers are already known to be present on the subnet. Same thing for iTunes and shared libraries.)

But unduly using a list-pane as a bookmark could just be seen as pushing forward the strong point of Cyberduck, which was to make all your bookmarked connections appear as immediately connectable drives, while the burden of connection / disconnection is left to the software so that connection capabilities over the internet are optimized.
My humble conclusion is that displaying both bookmarks and contents should be kept, but having the drawer back is not the best solution, given that the multipane is even more consistent with the strong points of Cyberduck's design.

comment:20 Changed on May 28, 2008 at 1:42:02 AM by anonymous

I concur with all the other comments about missing the drawer. That was the #1 reason I donated, the drawer greatly sped up my workflow. I was greatly disappointed when "upgrading" that it is gone. I'll be downgrading, but in the meantime wanted to vote for its return, or at least the multipane view suggested. Don't worry about following Leopard's lead when it breaks the functionality, "newer" in this case is not "better"...awaiting v3.1 !!!

comment:21 Changed on Jun 12, 2008 at 11:27:52 AM by anonymous

I also cast my vote for either bringing back the bookmarks drawer or implementing a sidebar pane -- anything that will allow me to have my bookmarks available at all times. I never closed my bookmarks drawer -- except by accident!

comment:22 Changed on Jun 30, 2008 at 8:34:46 AM by dkocher

Fix #2252 as a minor improvement.

comment:23 Changed on Jun 30, 2008 at 4:40:05 PM by anonymous

Definitely want to get the Bookmark drawer back...much more intuitive interface.

comment:24 Changed on Jul 3, 2008 at 4:04:36 PM by anonymous

I also loved the bookmarks sidebar, and I too never shut it. It's so much more an elegant solution for multiple servers. I'm constantly working between my dev servers and my Quality servers.

comment:25 Changed on Jul 11, 2008 at 7:44:26 PM by dkocher

  • Milestone changed from 3.0.2 to 3.2

comment:26 Changed on Jul 16, 2008 at 4:57:24 AM by anonymous

FWIW, I actually prefer the new way, always found the bookmarks drawer kinda clunky, even though I've got ~20 sites that I regularly access. The drawer wasted screen real estate when I was just browsing a site.

comment:27 Changed on Aug 11, 2008 at 9:19:01 AM by anonymous

I cast my vote for sidebar. yes maybe he old rawer in pre 3.0 was clunky but a quick access to any bookmarks is welcome. New Finder, iTunes, iPhoto can be a spurce of inspiration. Expecially if you could group the bookmarks as Finder groups Devices, Shares, Places. If we could group our servers to custom defined groups that would be perfect. Just my 2 cents.

comment:28 Changed on Sep 22, 2008 at 6:45:38 PM by anonymous

BRING BACK THE DRAWER!!!! PLEASE!!!

comment:29 Changed on Oct 10, 2008 at 8:29:12 PM by ryanw

The drawer is not a good use of screen space since you spend most of the time browsing and if you just use command-b to get to switch back and forth between views it makes the use case much faster. I have hundreds of bookmarks so the ability to search and organize is far more important than seeing the drawer in every window.

Sorry, I just wanted to chime in on the let the drawer die group. Command-B is your friend.

comment:30 in reply to: ↑ description Changed on Feb 8, 2009 at 7:44:35 AM by stwb

"previously, i just double-clicked the bokkmark and the connection was there. now i have to open the bookmarks, select the connection and close the bookmarks again. (thats three times the clicks than before)"

Any Bookmarks you add will be become a part of the 'Quick Connect' menu, a feature nobody around here appears to be using.

The clue is in the name 'QUICK', one click (for the list)- that's it. No opening another drawer or window, no obstructing use of screen space, no double-clicking, a time saver which greatly speeds up workflow.

comment:31 Changed on Feb 9, 2009 at 5:05:49 PM by anonymous

Another vote for bookmark sidebar!

comment:32 Changed on Mar 3, 2009 at 3:14:18 AM by veramilo

Suggestions can be helpful, but everybody works differently and for different reasons so trying to convince everyone that your way is the best can be a bit pointless.

I spend a lot of time in Apple Mail which may be partly why I have not been able to get comfortable with switching back and forth between views. The Quick Connect menu doesn't fit the way I work either (my bookmark list is too long). Also, for me, a full-width bookmarks window is a greater waste of space than a shared window (my bookmark names are all fairly short, like my mailbox names are short), but I still like my site window to be wide. I have a large monitor so I can quite comfortably have a narrow bookmarks panel and a wide site window.

I desperately want to have all my bookmarks back in a sidebar/pane/drawer (whatever you want to call it) that I can optionally close. I'd also like the further ability to set it's width -- even to full width for those who like the way it is now -- and then use command-B or the bookmarks button to toggle it between that width and closed (or double-click a bookmark for those who are at full width, just like it is now).

This I think would satisfy both sides.

comment:33 Changed on Jan 17, 2010 at 1:42:28 AM by dkocher

  • Milestone changed from 3.4.1 to 3.5

comment:34 Changed on May 18, 2010 at 9:55:17 AM by dkocher

  • Milestone 3.5 deleted
  • Platform set to Mac OS X 10.6

comment:35 Changed on Jul 27, 2010 at 5:12:53 PM by dkocher

Folders for bookmarks is in #285.

comment:36 Changed on Sep 18, 2010 at 10:41:34 PM by dkocher

  • Resolution set to wontfix
  • Status changed from assigned to closed
Note: See TracTickets for help on using tickets.
swiss made software